<?php

App::uses('CakeEmail', 'Network/Email');

/**
 * Biblioteca Exemplo para envio de email pelo NewCRM
 * @author Fabricio S Costa fabriciojf@gmail.com
 * @since 22/07/2014
 * @version 1.0
 */
class MailLib {
    
/**
 * Exemplo de envio de email utilizando a lib
 * 
 * MailLib::send(array(
 *     'from' => array('suporte@bemmelhor.com.br' => 'Suporte BemmelhorSI'),
 *     'to' => array('fabriciojf@gmail.com' => 'Fabricio S Costa'),
 *     'subject' => 'Email Teste',
 *     'body' => 'Corpo do email, em todos os seus detalhes',
 * ));
 * 
 * @param array $mail = array(
 * from(array(email, label)), 
 * to(array(email, label)),
 * subject(string),
 * body(string),
 */
    public static function send($mail, $template = 'task') {
        $Email = new CakeEmail('default');
        $Email->template($template);
        $Email->viewVars($mail['viewVars']);
        $Email->emailFormat('html')
              ->from($mail['from'])
              ->to($mail['to'])
              ->replyTo($mail['from'])
              ->subject($mail['subject'])
              ->addHeaders(array('X-statusID' => $mail['messageid']))
              ->send(); 
    }

/**
 * Exemplo de envio pela lib
 */
    protected function _exemplo() {
        MailLib::send(array(
            'from' => array('suporte@bemmelhor.com.br' => 'Suporte BemmelhorSI'),
            'to' => array('fabriciojf@gmail.com' => 'Fabricio S Costa'),
            'subject' => Configure::read('Email.label_tasks'),
            'body' => 'sasdasdasdasasd',
        ));
    }
}